Skip to content
Browse files

Fix broken gradle idea/eclipse commands by not pulling in dependencie…

…s that are already subprojects transitively. See http://issues.gradle.org/browse/GRADLE-2713
  • Loading branch information...
1 parent 7cafebc commit 02cdfe20d444bc8db9ff3451ade147c90e3a7c00 @graemerocher graemerocher committed
View
2 .gitignore
@@ -21,3 +21,5 @@ stacktrace.log
.idea/*
classes/*
bin/
+
+grails-plugins/mongodb/grails-mongodb-1.0.0.RC5.zip.sha1
View
2 build.gradle
@@ -1,5 +1,5 @@
project.ext {
- springVersion = "3.2.0.RELEASE"
+ springVersion = "3.2.2.RELEASE"
grailsVersion = "2.3.0.BUILD-SNAPSHOT"
slf4jVersion = "1.7.2"
groovyVersion = System.getProperty('groovyVersion') ?: '2.1.1'
View
1 grails-datastore-gorm-dynamodb/build.gradle
@@ -18,7 +18,6 @@ dependencies {
testCompile project(":grails-datastore-gorm-test"),
project(":grails-datastore-gorm-tck")
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
}
configurations {
View
1 grails-datastore-gorm-gemfire/build.gradle
@@ -10,7 +10,6 @@ dependencies {
project(":grails-datastore-gemfire"),
project(":grails-datastore-core")
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
testCompile project(":grails-datastore-gorm-test"),
project(":grails-datastore-gorm-tck")
}
View
8 grails-datastore-gorm-hibernate/build.gradle
@@ -17,6 +17,7 @@ dependencies {
compile(project(":grails-datastore-gorm")) {
exclude group: 'org.grails', module:'grails-bootstrap'
exclude group: 'org.grails', module:'grails-core'
+ exclude group: 'org.grails', module:'grails-async'
exclude group: 'org.grails', module:'grails-plugin-testing'
exclude group: 'org.slf4j', module:'jcl-over-slf4j'
exclude group: 'org.slf4j', module:'jul-to-slf4j'
@@ -94,12 +95,17 @@ dependencies {
testCompile("org.grails:grails-core:$grailsVersion")
testCompile("org.grails:grails-bootstrap:$grailsVersion")
testCompile("org.grails:grails-plugin-domain-class:$grailsVersion") {
+ transitive = false
exclude group: 'org.grails', module:'grails-plugin-testing'
exclude group: 'org.grails', module:'grails-datastore-core'
exclude group: 'org.grails', module:'grails-datastore-gorm'
}
testCompile("org.grails:grails-web:$grailsVersion")
- testCompile("org.grails:grails-plugin-controllers:$grailsVersion")
+ testCompile("org.grails:grails-plugin-controllers:$grailsVersion") {
+ transitive = false
+ exclude group: 'org.grails', module:'grails-plugin-domain-class'
+ exclude group: 'org.grails', module:'grails-web'
+ }
testRuntime "javax.servlet:servlet-api:2.5"
}
View
1 grails-datastore-gorm-mongo/build.gradle
@@ -20,7 +20,6 @@ dependencies {
testRuntime "javax.servlet:servlet-api:2.5"
testRuntime "org.grails:grails-web:$grailsVersion"
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
}
sourceSets {
View
5 grails-datastore-gorm-neo4j/build.gradle
@@ -1,5 +1,5 @@
-//version = "1.0.0.BUILD-SNAPSHOT"
-version = "1.0.0.RC1"
+version = "1.0.0.BUILD-SNAPSHOT"
+//version = "1.0.0.RC1"
ext.neo4jVersion = "1.8.2"
ext.gdmVersion = "1.1.6.RELEASE"
@@ -40,7 +40,6 @@ dependencies {
[group: "org.neo4j", name: "neo4j-rest-graphdb", version: '1.8'],
[group: "org.neo4j", name: "neo4j-rest-graphdb", version: '1.8', classifier: 'tests'],
"org.neo4j:neo4j-graphviz:$neo4jVersion"
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
testRuntime "javax.servlet:servlet-api:2.5",
"org.grails:grails-web:$grailsVersion",
'com.sun.jersey:jersey-server:1.9',
View
8 grails-datastore-gorm-plugin-support/build.gradle
@@ -2,15 +2,15 @@ dependencies {
compile project(":grails-datastore-gorm")
compile project(":grails-datastore-web")
- compile "org.grails:grails-test:$grailsVersion"
- compile "org.grails:grails-core:$grailsVersion"
+ compile "org.grails:grails-core:$grailsVersion", {
+ transitive = false
+ }
compile("org.grails:grails-bootstrap:$grailsVersion") {
transitive = false
}
- testRuntime "org.grails:grails-web:$grailsVersion"
+ //testRuntime "org.grails:grails-web:$grailsVersion"
testRuntime 'javax.servlet:javax.servlet-api:3.0.1'
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
testCompile project(":grails-datastore-gorm-test")
}
View
1 grails-datastore-gorm-redis/build.gradle
@@ -7,7 +7,6 @@ dependencies {
project(":grails-datastore-core")
testCompile project(":grails-datastore-gorm-test"),
project(":grails-datastore-gorm-tck")
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
testRuntime "org.springframework:spring-expression:$springVersion"
}
View
1 grails-datastore-gorm-riak/build.gradle
@@ -23,7 +23,6 @@ dependencies {
testCompile project(":grails-datastore-gorm-test"),
project(":grails-datastore-gorm-tck")
- testRuntime "org.grails:grails-gorm:$grailsVersion"
}
configurations {
View
1 grails-datastore-gorm-simpledb/build.gradle
@@ -18,7 +18,6 @@ dependencies {
testCompile project(":grails-datastore-gorm-test"),
project(":grails-datastore-gorm-tck")
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
}
configurations {
View
19 grails-datastore-gorm-test/build.gradle
@@ -1,8 +1,5 @@
dependencies {
- compile "org.grails:grails-test:$grailsVersion", {
- exclude group:"org.grails",module: "grails-datastore-gorm"
- }
- compile "org.grails:grails-plugin-testing:$grailsVersion", {
+ def excludes = {
exclude group:"org.grails",module: "grails-plugin-url-mappings"
exclude group:"org.grails",module: "grails-plugin-servlets"
exclude group:"org.grails",module: "grails-plugin-controllers"
@@ -20,19 +17,19 @@ dependencies {
exclude group:"org.grails",module: "grails-datastore-gorm"
}
+ compile "org.grails:grails-test:$grailsVersion", excludes
+ compile "org.grails:grails-plugin-testing:$grailsVersion", excludes
+
compile project(":grails-datastore-gorm"),
project(":grails-datastore-simple"),
project(":grails-datastore-core")
- compile "org.grails:grails-test:$grailsVersion"
- compile "org.grails:grails-core:$grailsVersion"
- compile("org.grails:grails-bootstrap:$grailsVersion") {
- transitive = false
- }
+ compile "org.grails:grails-test:$grailsVersion",excludes
+ compile "org.grails:grails-core:$grailsVersion",excludes
+ compile("org.grails:grails-bootstrap:$grailsVersion",excludes)
testCompile project(":grails-datastore-gorm-tck")
testRuntime "javax.servlet:servlet-api:2.5"
- testRuntime "org.grails:grails-web:$grailsVersion"
+ testRuntime "org.grails:grails-web:$grailsVersion",excludes
testRuntime "log4j:log4j:1.2.16"
- testRuntime "org.grails:grails-hibernate:$grailsVersion"
}

0 comments on commit 02cdfe2

Please sign in to comment.
Something went wrong with that request. Please try again.